org.eclipse.gef.fx.jface

## Class FXPaintLabelProvider

- java.lang.Object
- - org.eclipse.core.commands.common.EventManager
  - - org.eclipse.jface.viewers.BaseLabelProvider
    - - org.eclipse.jface.viewers.LabelProvider
      - - org.eclipse.gef.fx.jface.FXPaintLabelProvider

All Implemented Interfaces:
  org.eclipse.jface.viewers.IBaseLabelProvider, org.eclipse.jface.viewers.ILabelProvider

    public class FXPaintLabelProvider
    extends org.eclipse.jface.viewers.LabelProvider

A label provider for a `Paint` value.

### Constructor Summary

Constructors
Constructor and Description
`FXPaintLabelProvider()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `dispose()`
`org.eclipse.swt.graphics.Image` `getImage(java.lang.Object element)`
`java.lang.String` `getText(java.lang.Object element)`

### Methods inherited from class org.eclipse.jface.viewers.BaseLabelProvider

`addListener, fireLabelProviderChanged, isLabelProperty, removeListener`

### Methods inherited from class org.eclipse.core.commands.common.EventManager

`addListenerObject, clearListeners, getListeners, isListenerAttached, removeListenerObject`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.jface.viewers.IBaseLabelProvider

`addListener, isLabelProperty, removeListener`

### Constructor Detail

#### FXPaintLabelProvider

    public FXPaintLabelProvider()

### Method Detail

#### dispose

    public void dispose()

Specified by:
  `dispose` in interface `org.eclipse.jface.viewers.IBaseLabelProvider`
Overrides:
  `dispose` in class `org.eclipse.jface.viewers.BaseLabelProvider`

#### getImage

    public org.eclipse.swt.graphics.Image getImage(java.lang.Object element)

Specified by:
  `getImage` in interface `org.eclipse.jface.viewers.ILabelProvider`
Overrides:
  `getImage` in class `org.eclipse.jface.viewers.LabelProvider`

#### getText

    public java.lang.String getText(java.lang.Object element)

Specified by:
  `getText` in interface `org.eclipse.jface.viewers.ILabelProvider`
Overrides:
  `getText` in class `org.eclipse.jface.viewers.LabelProvider`